summaryrefslogtreecommitdiffstats
path: root/common
Commit message (Collapse)AuthorAgeFilesLines
* xf86-video-ast: new recipe for ASPEED Technology CardOng Boon Leong2014-04-031-0/+12
| | | | | | | | | To enable ASPEED Technology graphic card. Removed dependency on virtual/libx11, PR and COMPATIBLE_HOST that limits to x86 hardware. Signed-off-by: Ong Boon Leong <boon.leong.ong@intel.com>
* emgd-driver-bin: Limit build to x86Koen Kooi2014-02-152-0/+4
| | | | | | | | | | | When building GL apps for non-x86 machines (e.g. raspberrypi) emgd-driver-bin is being dragged in as a valid provider. To avoid build breakage fix it at the source by limiting emgd-driver-bin to x86 architectures. Signed-off-by: Koen Kooi <koen@dominion.thruhere.net> Acked-By: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* emgd-driver-bin*: Modify LICENSE to reflect true licenseElizabeth Flanagan2013-10-112-2/+2
| | | | | | | | | | | EMGD's user space driver contains MIT code. The current Intel user space license contains MIT text and other licenses that are not within the actual binary. We should strip out the MIT text (and others) from the Intel user space license (next commit) and correct the LICENSE field to reflect MIT license. Signed-off-by: Elizabeth Flanagan <elizabeth.flanagan@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* common: Remove obsolete QAT-related recipesOng Boon Leong2013-09-264-196/+0
| | | | | | | | | | | Remove openssl-qat-module and zlib-qat-module recipes and any references to them from meta-intel. This is to remove recipes for obsolete and unmaintained software ingredients related to QAT. Signed-off-by Ong Boon Leong <boon.leong.ong@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* libva: use virtual providers of the gl componentsNitin A Kamble2013-09-181-1/+1
| | | | | | | These components can come from either mesa recipe of some other custom gl providers such as emgd recipe. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com>
* emgd-driver-bin: add PROVIDES line for virtual opengl componentsNitin A Kamble2013-09-182-0/+2
| | | | | | | | Both emgd and mesa recipes provides opengl components. With this change recipies which depend on opengl components, can specify what they want, and BSP config selects the right provider recipe. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com>
* xf86-video-mga: respect opengl DISTRO_FEATUREyocto-1.5_M5.rc21.5_M5.rc2Ross Burton2013-09-121-3/+4
| | | | | | Respect the opengl DISTRO_FEATURE and enable/disable DRI as appropriate. Signed-off-by: Ross Burton <ross.burton@intel.com>
* emgd-driver-bin: Fix RDEPENDS and exclude from world1.5_M5.rc1Richard Purdie2013-09-112-0/+10
| | | | | | | | | | | | | | | One of the drivers links to libva so we need to list it as an RDEPENDS so that when we package, we can ensure any library renaming gets applied correctly. The bug can be seen if you "bitbake emgd-driver-bin", then build an image using that library. Also exclude these recipes from world since they should get built when needed through the virtual/ mechanism, building them for say a qemux86 world build just corrupts the system due the the multiple shlibs providers. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org> Reviewed-by: Darren Hart <dvhart@linux.intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* xf86-video-intel: remove from meta-intelNitin A Kamble2013-09-061-27/+0
| | | | | | | | A newer version of this recipe is in oecore. And this version is not used anymore. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* emgd-driver-bin: mark opengl as a required distro featureNitin A Kamble2013-09-052-0/+6
| | | | | | | | | | emgd recipe needs 'opengl' distro feature enabled. Otherwise target image build fails without much clue. This commit is marking the 'opengl' as a required distro feature, which helps user understand the distro configuration issue in case the requirement of distro features is not met. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Acked-By: Ross Burton <ross.burton@intel.com>
* gummiboot: Update to current HEAD (35+)Darren Hart2013-08-227-263/+6
| | | | | | | | | Update to the latest gummiboot and remove all patches from the recipe which are now upstream in one for or anoter. Make use of the new configuration methods for inc/lib/lds directories. Change the PV to use the git SRCREV beyond the release tag. Signed-off-by: Darren Hart <dvhart@linux.intel.com>
* yasm: removePaul Eggleton2013-08-141-17/+0
| | | | | | | This is now in OE-Core. Signed-off-by: Paul Eggleton <paul.eggleton@linux.intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* mesa: sync up with oecore to 9.1.6Nitin A Kamble2013-08-061-0/+0
| | | | | | | | oecore is updating mesa to version 9.1.6. Sync-up the bbappend version in the meta-intel layer accordingly. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Darren Hart <dvhart@linux.intel.com>
* emgd-driver-bin-1.18: fix for xorg-abi-video errorNitin A Kamble2013-08-021-2/+2
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | This issues was already fixed for the emgd-driver-bin-1.16 recipe as seen in the commit message below. Now reapplying the same fix to the emgd-driver-bin-1.18 recipe. commit edf3ef3cca449c7a631bab3fd0fed580378629e9 Author: Nitin A Kamble <nitin.a.kamble@intel.com> Date: Mon Jun 10 14:20:20 2013 -0700 emgd-driver-bin: add xserver-xorg to RDEPENDS When any package using libraries provided by the emgd-driver-bin recipe, is included in a image (such as: tools-testapps), the rootfs generation process encounters an error mentioned below. The code for checking the abi version of the xorg xserver needs xorg xserver recipe included in the image. Otherwise it gets following rootfs generation error: | Computing transaction...error: Can't install emgd-driver-1.16-r0@core2: no package provides xorg-abi-video-8 Fix the issue by marking xserver-xorg as a dependency of the emgd-driver-bin recipe. Fixes this bug: [YOCTO #4615] Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com> Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Darren Hart <dvhart@linux.intel.com>
* gnuefi: Add missing parallel-make-archives patch1.5_M3.rc1Darren Hart2013-07-311-0/+48
| | | | | | | | | | | | This patch was updated but mistakenly deleted by the previous commit: commit 8834d8376838487bfc3ff04a16cffb064cb765cf Author: Darren Hart <dvhart@linux.intel.com> Date: Fri Jul 26 10:36:06 2013 -0700 gnu-efi: Update to 3.0u Signed-off-by: Darren Hart <dvhart@linux.intel.com>
* gummiboot: Add gummiboot recipe1.5_M3.final1.5_M3Darren Hart2013-07-307-0/+283
| | | | | | | gummiboot is a simple UEFI boot manager. It uses configuration files to setup the default boot entry or presents an on-screen menu. Signed-off-by: Darren Hart <dvhart@linux.intel.com>
* gnu-efi: Update to 3.0uDarren Hart2013-07-303-85/+6
| | | | | | | Update to 3.0u. Remove the now upstreamed cross-compile-support patch and update the parallel-make-archives patch for the 3.0u Makefiles. Signed-off-by: Darren Hart <dvhart@linux.intel.com>
* mesa: update bbappend to 9.1.5Ross Burton2013-07-241-0/+0
| | | | | Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* emgd-driver-bin-1.18: new recipeNitin A Kamble2013-07-193-0/+774
| | | | | | | | Creating version 1.18 of the emgd recipe for the recently released EMGD driver. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* libva-intel-driver: upgrade to 1.2.0Laurentiu Palcu2013-07-122-2/+2
| | | | | | | | | Needed to be compliant with 2013Q2 Intel Graphics Stack Release. [YOCTO #4828] Signed-off-by: Laurentiu Palcu <laurentiu.palcu@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* libva: upgrade to 1.2.1Laurentiu Palcu2013-07-122-8/+8
| | | | | | | | | Needed to be compliant with 2013Q2 Intel Graphics Stack Release. [YOCTO #4828] Signed-off-by: Laurentiu Palcu <laurentiu.palcu@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* lms7: handle different host setupsThibault GUITTET2013-07-031-1/+7
| | | | | | | | | | | From similar patch for lms8 (fc9cba84): The configure script looks at the *host* environment to decide where to install the init script, so it's location at packaging time can change. Signed-off-by: Thibault Guittet <guittet.thibault[at]gmail.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* recipes: Mark x86 specific recipes so1.5_M2.rc1Khem Raj2013-06-273-0/+5
| | | | | | | | These recipes are x86 specific packages so lets make sure they dont get built for non-x86 architectures Signed-off-by: Khem Raj <raj.khem@gmail.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* lms8: handle different host setupsRoss Burton2013-06-251-1/+7
| | | | | | | | The configure script looks at the *host* environment to decide where to install the init script, so it's location at packaging time can change. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* intel-gpu-tools: add new packageRoss Burton2013-06-252-0/+41
| | | | | | | | | This package contains numerous useful tools for working with Intel GPUs. Add a patch to install intel_panel_fitter as it's genuinely useful and not just a debugging tool. Signed-off-by: Ross Burton <ross.burton@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* common/linux-firmware: Drop bbappend since changes were merged into the coreRichard Purdie2013-06-251-24/+0
| | | | | | | | The changes this bbappend makes have been merged into OE-Core so its now unneeded. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* meta-intel: Drop PRINC usageRichard Purdie2013-06-241-1/+0
| | | | | | | | With the switch to the PR server we don't need to use PRINC. This patch matches a change to OE-Core to bump the PR values of the appropriate core recipes so PR values don't go backwards. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* libva-intel-driver: upgrade to 1.0.20Laurentiu Palcu2013-06-212-4/+2
| | | | | | | | | Upgrade needed to be compliant with 2013Q1 Intel Graphics Stack Release. [YOCTO #4167] Signed-off-by: Laurentiu Palcu <laurentiu.palcu@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* lms8: new recipe to support AMT version 8Nitin A Kamble2013-06-121-0/+32
| | | | | | | | | | | Some of the newer boards have AMT/MEI firmware of version 8. These BSPs need verion 8 of the lms package, which this recipe is providing. Also the lms binary & script is renamed to lms8 to avoid runtime clash with lms7 packages. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* lms7: reorganize the lms recipeNitin A Kamble2013-06-124-16/+41
| | | | | | | | | | | | | | | | | | | | | | | Preparations for upcoming lms8 recipe. Rename the lms recipe as lms7. This will allow BSPs to choose either lms7 or lms8 package to suite the version 7 or 8 firmware available on the board. Also the lms binary & script is renamed to lms7 to avoid runtime clash with lms8 packages. Simplified the dounpack2 function. And this build time warning is muted: WARNING: lms7: No generic license file exists for: Modified in any provider Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> lms7 : tail conexist Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* mesa: sync up with oecoreNitin A Kamble2013-06-121-0/+0
| | | | | | | | | The mesa recipe from the oecore layer has been updated. This commit updates the .bbappend for the mesa recipe in this meta-intel layer to sync up with the oecore layer. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* emgd-driver-bin: add xserver-xorg to RDEPENDSNitin A Kamble2013-06-121-1/+1
| | | | | | | | | | | | | | | | | | | | | | When any package using libraries provided by the emgd-driver-bin recipe, is included in a image (such as: tools-testapps), the rootfs generation process encounters an error mentioned below. The code for checking the abi version of the xorg xserver needs xorg xserver recipe included in the image. Otherwise it gets following rootfs generation error: | Computing transaction...error: Can't install emgd-driver-1.16-r0@core2: no package provides xorg-abi-video-8 Fix the issue by marking xserver-xorg as a dependency of the emgd-driver-bin recipe. Fixes this bug: [YOCTO #4615] Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* xf86-input-synaptics_1.6.3: keep older version for EMGD based BSPsNitin A Kamble2013-05-161-0/+23
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | The newer 1.7.0 version of xf86-input-synaptics from oecore layer needs >= 1.12 version of xorg-server. And the EMGD graphics based BSPs are tied with 1.9.x version of xorg-server. So to unbreak the EMGD BSPs builds bringing back the older version of xf86-input-synaptics recipe. This commit avoids these build errors: | checking for XORG... no | configure: error: Package requirements (inputproto >= 2.1.99.3 xorg-server >= 1.12 xproto inputproto randrproto) were not met: | | Requested 'xorg-server >= 1.12' but version of xorg-server is 1.9.3 | | Consider adjusting the PKG_CONFIG_PATH environment variable if you | installed software in a non-standard prefix. | | Alternatively, you may set the environment variables XORG_CFLAGS | and XORG_LIBS to avoid the need to call pkg-config. | See the pkg-config man page for more details. | Configure failed. The contents of all config.log files follows to aid debugging | ERROR: oe_runconf failed | ERROR: Function failed: do_configure (see .../build-crownbay/tmp/work/core2-poky-linux/xf86-input-synaptics/2_1.7.0-r0/temp/log.do_configure.74988 for further information) ERROR: Task 3863 (.../poky.git/meta/recipes-graphics/xorg-driver/xf86-input-synaptics_1.7.0.bb, do_configure) failed with exit code '1' Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* gnu-efi: Add parallel make patch for archivesDarren Hart2013-05-092-2/+48
| | | | | | | | | The library makefiles were using the lib.a() form which compiles and ar's as a pair instead of compiling all and then ar'ing which can parallelize better. Signed-off-by: Saul Wold <sgw@linux.intel.com> Signed-off-by: Darren Hart <dvhart@linux.intel.com>
* linux-firmware: Correct rtl license file locationDarren Hart2013-04-231-1/+3
| | | | | | | | | | | | | | | | The rtl-license package FILES was pointing to the wrong directory as it was removed from there in commit: acd3735 linux-firmware: Remove duplicaed license from rtlwifi subdir This resulted in a do_rootfs failure for core-image-sato-sdk for fri2 with ipk when the linux-firmware-dev package tried to install linux-firmware-rtl-license which wasn't created as it was empty. Build tested with ipk and rpm packages. Signed-off-by: Darren Hart <dvhart@linux.intel.com> Acked-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* emgd-driver-bin: do not provide gl.pcNitin A Kamble2013-04-232-14/+0
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | Remove the previously added gl.pc from the emgd recipe. emgd recipe does not provide libGL, still the associated gl.pc file was provided in the recipe, which causes conflicts with other recipes as seen below. These kind of errors are fixed with this commit. | Collected errors: | * check_data_file_clashes: Package libgl-mesa-dev wants to install file /srv/home/nitin/build-test-bsps/build-emenlow/tmp/work/emenlow-poky-linux/core-image-sato-sdk/1.0-r0/rootfs/usr/lib/pkgconfig/gl.pc | But that file is already provided by package * emgd-driver-dev | * opkg_install_cmd: Cannot install package qt4-x11-free-dev. | * check_data_file_clashes: Package libgl-mesa-dev wants to install file /srv/home/nitin/build-test-bsps/build-emenlow/tmp/work/emenlow-poky-linux/core-image-sato-sdk/1.0-r0/rootfs/usr/lib/pkgconfig/gl.pc | But that file is already provided by package * emgd-driver-dev | * opkg_install_cmd: Cannot install package mesa-demos-dev. | * check_data_file_clashes: Package libgl-mesa-dev wants to install file /srv/home/nitin/build-test-bsps/build-emenlow/tmp/work/emenlow-poky-linux/core-image-sato-sdk/1.0-r0/rootfs/usr/lib/pkgconfig/gl.pc | But that file is already provided by package * emgd-driver-dev | * opkg_install_cmd: Cannot install package libva-egl-dev. | * check_data_file_clashes: Package libgl-mesa-dev wants to install file /srv/home/nitin/build-test-bsps/build-emenlow/tmp/work/emenlow-poky-linux/core-image-sato-sdk/1.0-r0/rootfs/usr/lib/pkgconfig/gl.pc | But that file is already provided by package * emgd-driver-dev | * opkg_install_cmd: Cannot install package libva-glx-dev. | * check_data_file_clashes: Package libgl-mesa-dev wants to install file /srv/home/nitin/build-test-bsps/build-emenlow/tmp/work/emenlow-poky-linux/core-image-sato-sdk/1.0-r0/rootfs/usr/lib/pkgconfig/gl.pc | But that file is already provided by package * emgd-driver-dev | * opkg_install_cmd: Cannot install package libgl-mesa-dev. | ERROR: Function failed: do_rootfs (see | /srv/home/nitin/build-test-bsps/build-emenlow/tmp/work/emenlow-poky-li | nux/core-image-sato-sdk/1.0-r0/temp/log.do_rootfs.49983 for further | information) Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Tested-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* emgd-driver-bin: add cairo dependencyTom Zanussi2013-04-171-1/+1
| | | | | | | | | | | To fix the following autobuilder do_rootfs build erro: Computing transaction...error: Can't install emgd-gst-plugins-va-1.16-r0@core2: no package provides cairo >= 1.12.14 Signed-off-by: Tom Zanussi <tom.zanussi@intel.com> Acked-By: Nitin A Kamble <nitin.a.kamble@intel.com>
* libva: resurrect 1.0.16 recipe for EMGD based BSPsNitin A Kamble2013-04-121-0/+8
| | | | | | | | | EMGD based BSPs are seeing video playback issue with libva v1.1.[01] . They are hitting a segmentation fault at the end of video playback. So bringing back the old libva version for the EMGD based BSPs. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* libva: update from 1.1.0 to 1.1.1Nitin A Kamble2013-04-122-8/+8
| | | | | | | As per Ross libva v1.1.1 is needed for the wayland support. Signed-off-by: Nitin A Kamble <nitin.a.kamble@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>
* Revert "mesa-demos: fix build errors"Tom Zanussi2013-04-124-392/+0
| | | | | | This reverts commit fd58fb07cf4fcc0553d0608f5688fc03e41ea15c. This was moved to oe-core, commit 60fabb6ea.
* crystalforest: Fix build issues for openssl-qat-moduleKishore Bodke2013-04-101-10/+1
| | | | | | | | | | | openssl-qat-module and zlib-qat-module recipes have the same kernel module name, which causes the build to fail. So remove one of them from building and update the README with the instructions on how to enable. Fixes [YOCTO #4126]. Signed-off-by: Kishore Bodke <kishore.k.bodke@intel.com>
* mesa-demos: fix build errors1.4_M6.rc1Tom Zanussi2013-04-084-0/+392
| | | | | | | | | | | | | | When commit 6d17c9b ('emgd-driver-bin: add pkgconfig files') was added for libva, it exposed some missing EMGD functionality, which it turns out has been fixed by patches submitted or accepted upstream (see the individual patches for details). This adds those patches to get around the build problems when building with EMGD 1.16. Fixes [YOCTO #3469] for meta-intel (EMGD). Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* libva: disable waylandTom Zanussi2013-04-081-0/+3
| | | | | | | | | | | | | | | | | | | Make libva honor the wayland DISTRO feature setting in theory; in practice, we always disable it for the time being. Enabling it produces a build failure in the libva wayland test code. Examining the problematic call, it seems quite different from what wayland puts in the sysroot, which means either that the test code is out of date, or we have a version mismatch between the wayland libva support and the wayland support in oe-core. Since wayland support is secondary to having basic libva support in dylan, we unconditionally disable it for now, until we have more time after the release to investigate. Fixes [YOCTO #3932]. Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* emgd-driver-bin: add pkgconfig filesLaurentiu Palcu2013-04-085-1/+59
| | | | | | | | | | | | | | Add pkgconfig files needed by other projects (for example newer libva packages look for egl.pc file). Pkgconfig files added by this patch: * egl.pc * gl.pc * gles_cm.pc * glesv2.pc Signed-off-by: Laurentiu Palcu <laurentiu.palcu@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* libva: upgrade to 1.1.0Laurentiu Palcu2013-04-082-8/+8
| | | | | | | [YOCTO #3932] Signed-off-by: Laurentiu Palcu <laurentiu.palcu@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* libva-intel-driver: upgrade to 1.0.19Laurentiu Palcu2013-04-082-2/+2
| | | | | | | [YOCTO #3933] Signed-off-by: Laurentiu Palcu <laurentiu.palcu@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* meta-intel/common: Fix build issues for openssl-qat-moduleKishore Bodke2013-03-261-1/+10
| | | | | | | | | | | | | | | | openssl-qat-module and zlib-qat-module recipes have the same kernel module name, which causes the build to fail. This fixes Bug 4126 - Crystal Forest build failing for openssl-qat-module ERROR: Recipe openssl-qat-module is trying to create package kernel-module-qat-mem which was already written by recipe zlib-qat-module. This will cause corruption, please resolve this and only provide the package from one recipe or the other or only build one of the recipes. ERROR: Function failed: read_subpackage_metadata ERROR: Execution of event handler 'run_buildstats' failed Signed-off-by: Kishore Bodke <kishore.k.bodke@intel.com>
* Replace references to mesa-dri with mesa in all filesLaurentiu Palcu2013-03-221-1/+1
| | | | | | | [YOCTO #3385] Signed-off-by: Laurentiu Palcu <laurentiu.palcu@intel.com> Signed-off-by: Tom Zanussi <tom.zanussi@linux.intel.com>
* mesa: Update to match OE-Core mesa renameRichard Purdie2013-03-221-0/+0
| | | | | | mesa-dri was renamed to mesa in OE-Core, this matches that rename. Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
* va-intel: set ALLOW_EMPTY on a per-package basisTom Zanussi2013-03-071-1/+1
| | | | | | | ALLOW_EMPTY needs to be set per-package - this updates va-intel to avoid warnings to that effect. Signed-off-by: Tom Zanussi <tom.zanussi@intel.com>